Subject: Re: bug#51234: emacs.pdmp file name (--fingerprint)

From: Eli Zaretskii <[email-masked]>
Date: Mon, 18 Oct 2021 15:31:06 +0300

> From: Lars Ingebrigtsen <[email-masked]>
> Date: Mon, 18 Oct 2021 09:41:09 +0200
> Cc: [email-masked]
> 
> Thomas Klausner <[email-masked]> writes:
> 
> > I'm sending this mail because this filename causes problems for
> > packagers who prefer maintaining static file lists to make sure
> > exactly a known list of files is installed by a program.
> 
> If you rename the file to "emacs.pdmp", Emacs will still find it, but I
> guess this isn't documented.  We could also add a configure option to do
> this renaming automatically, I guess?
> 
> Anybody got an opinion here?

Me, I wonder how will those distros code with the *.eln files, which
also include hashes that aren't known in advance.  Solving the issue
with the pdumper file will still leave this other one, with many more
files.

So perhaps the distros will just have to adapt?